osl::checkmate::DfpnShared::ThreadData Struct Reference

`#include <dfpnParallel.h>`

## Public Member Functions

| ThreadData ()
void | clear ()

## Public Attributes

HashKey | restart_key
volatile int | depth
volatile bool | restart
LightMutex | mutex

## Detailed Description

Definition at line 16 of file dfpnParallel.h.

## Constructor & Destructor Documentation

## ThreadData()

osl::checkmate::DfpnShared::ThreadData::ThreadData | ( |  | ) |

inline

Definition at line 22 of file dfpnParallel.h.

References depth, and restart.

## Member Function Documentation

## clear()

void osl::checkmate::DfpnShared::ThreadData::clear | ( |  | ) |

inline

Definition at line 25 of file dfpnParallel.h.

References restart, and restart_key.

## Member Data Documentation

## depth

volatile int osl::checkmate::DfpnShared::ThreadData::depth

Definition at line 19 of file dfpnParallel.h.

Referenced by ThreadData().

## mutex

LightMutex osl::checkmate::DfpnShared::ThreadData::mutex

Definition at line 21 of file dfpnParallel.h.

## restart

volatile bool osl::checkmate::DfpnShared::ThreadData::restart

Definition at line 20 of file dfpnParallel.h.

Referenced by clear(), and ThreadData().

## restart_key

HashKey osl::checkmate::DfpnShared::ThreadData::restart_key

Definition at line 18 of file dfpnParallel.h.

Referenced by clear().

The documentation for this struct was generated from the following file:

- dfpnParallel.h